# ./cve-cal.sh  <from-commit-id>
# used to calculate fixed cve bug since <from-commit-id>

last_release=$(git log --oneline  -1 CHANGELOG.md  | awk '{print $1}')

if ! [ -z $1 ]; then
	git log -1 $1 &> /dev/zero
	if [ $? -eq 0 ]; then
		last_release=$1
	else
		echo "commit id<$1> is not valid, use default $(git log --oneline -1 $last_release)"
	fi
fi

for cid in $(git log ${last_release}.. --oneline | awk '{print $1}')
do 
	cve=$(git log $cid -1 | grep "CVE: CVE-[0-9]*-[0-9]*" -o | sort -u);
	if [ "0$cve" != "0" ]; then
		bug=$(git log $cid -1 | grep "bug: \|task: " | awk '{print $2}');
		if [ "0$bug" != "0" ]; then
			echo $cve [bug#$bug] ;
		else
			echo $cve [bug#none]
		fi
	fi ;
done  | sort -u -k 2
